<< ifft2 | FOSSEE_Signal_Processing_Toolbox | ifftshift1 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ifftn

# ifftn

Compute the inverse N-dimensional discrete Fourier transform.

### Syntax

    Y = ifftn(A)
    Y = ifftn(A, SIZE)

### Parameters

A:

  Input matrix.

SIZE:

  (optional) Dimensions of the matrix to be used. If an element of SIZE is smaller than the corresponding dimension of A, the dimension of A is truncated. If larger, A is resized and padded with zeros.

### Description

Compute the inverse N-dimensional discrete Fourier transform of A using a Fast Fourier Transform (FFT) algorithm.

### Examples

    ifftn([2,3,4])

Report an issue
<< ifft2 | FOSSEE_Signal_Processing_Toolbox | ifftshift1 >>